import { CometChat } from "@cometchat-pro/chat";
import { CometChatTheme, CometChatMessageTemplate } from "uikit-resources-lerna";
import { CollaborativeWhiteboardConfiguration } from "uikit-utils-lerna";
import { DataSource } from "../../Shared/Framework/DataSource";
import { DataSourceDecorator } from "../../Shared/Framework/DataSourceDecorator";
export declare class CollaborativeWhiteBoardExtensionDecorator extends DataSourceDecorator {
    private configuration;
    constructor(dataSource: DataSource, configuration?: CollaborativeWhiteboardConfiguration);
    getAllMessageTypes(): string[];
    getId(): string;
    getAllMessageCategories(): string[];
    checkIfTemplateExist(template: CometChatMessageTemplate[], type: string): boolean;
    getAllMessageTemplates(): CometChatMessageTemplate[];
    getWhiteBoardTemplate(): CometChatMessageTemplate;
    getAttachmentOptions(theme?: CometChatTheme, user?: CometChat.User, group?: CometChat.Group, id?: any): any;
    getLastConversationMessage(conversation: CometChat.Conversation, loggedInUser: CometChat.User): string;
}
