import { CometChat } from "@cometchat-pro/chat";
import { CometChatTheme, CometChatMessageOption } from "uikit-resources-lerna";
import { DataSource } from "../../Shared/Framework/DataSource";
import { DataSourceDecorator } from "../../Shared/Framework/DataSourceDecorator";
import { MessageTranslationConfiguration } from "uikit-utils-lerna";
export declare class MessageTranslationExtensionDecorator extends DataSourceDecorator {
    configuration?: MessageTranslationConfiguration;
    constructor(dataSource: DataSource, configuration?: MessageTranslationConfiguration);
    getTextMessageOptions(loggedInUser: CometChat.User, messageObject: CometChat.BaseMessage, theme: CometChatTheme, group?: CometChat.Group): CometChatMessageOption[];
    checkIfOptionExist(template: CometChatMessageOption[], id: string): boolean;
    getId(): string;
}
