import { CometChat } from "@cometchat-pro/chat";
import { UIKitSettings } from 'uikit-utils-lerna';
import { ExtensionsDataSource } from "../Framework/ExtensionDataSource";
export declare class CometChatUIKit {
    static uiKitSettings: UIKitSettings | null;
    static init(uiKitSettings: UIKitSettings | null): Promise<Object> | undefined;
    static defaultExtensions: ExtensionsDataSource[];
    static enableCalling(): void;
    private static initiateAfterLogin;
    static login(uid: string): Promise<Object | undefined>;
    static createUser(user: CometChat.User): Promise<Object | undefined>;
    static updateUser(user: CometChat.User): Promise<Object | undefined>;
    static logout(): Promise<Object | undefined>;
    static checkAuthSettings(): boolean;
    static sendCustomMessage(message: CometChat.CustomMessage): void;
    static sendTextMessage(message: CometChat.TextMessage): void;
    static sendMediaMessage(message: CometChat.MediaMessage): void;
}
