import { OnInit } from '@angular/core';
import { CometChat } from '@cometchat-pro/chat';
import "my-cstom-package-lit";
import 'uikit-utils-lerna';
import { CallscreenStyle } from 'uikit-utils-lerna';
import * as i0 from "@angular/core";
/**
*
* CometChatOngoingCallComponent is a component whic shows outgoing call screen for default audio and video call.
*
* @version 1.0.0
* @author CometChatTeam
* @copyright © 2022 CometChat Inc.
*
*/
export declare class CometChatOngoingCallComponent implements OnInit {
    ongoingCallStyle: CallscreenStyle;
    resizeIconHoverText: string;
    sessionID: string;
    minimizeIconURL: string;
    maximizeIconURL: string;
    callSettingsBuilder: CometChat.CallSettingsBuilder;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CometChatOngoingCallComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CometChatOngoingCallComponent, "cometchat-ongoing-call", never, { "ongoingCallStyle": "ongoingCallStyle"; "resizeIconHoverText": "resizeIconHoverText"; "sessionID": "sessionID"; "minimizeIconURL": "minimizeIconURL"; "maximizeIconURL": "maximizeIconURL"; "callSettingsBuilder": "callSettingsBuilder"; }, {}, never, never>;
}
