import { CometChat } from "@cometchat-pro/chat";
import { SmartRepliesConfiguration } from "uikit-utils-lerna";
import { DataSource } from "../../Shared/Framework/DataSource";
import { DataSourceDecorator } from "../../Shared/Framework/DataSourceDecorator";
export declare class SmartReplyExtensionDecorator extends DataSourceDecorator {
    configuration?: SmartRepliesConfiguration;
    private LISTENER_ID;
    private activeUser;
    private activeGroup;
    currentMessage: CometChat.BaseMessage | null;
    loggedInUser: CometChat.User | null;
    constructor(dataSource: DataSource, configuration?: SmartRepliesConfiguration);
    sendReply: (reply: string, message: CometChat.BaseMessage, onError: ((error: any) => void) | null | undefined, customSoundForMessages?: string, disableSoundForMessages?: boolean) => void;
    private addMessageListener;
    getId(): string;
}
